[Armadeus-commitlog] SF.net SVN: armadeus:[1037] trunk/target/test
Brought to you by:
sszy
|
From: <ar...@us...> - 2009-01-29 16:30:39
|
Revision: 1037
http://armadeus.svn.sourceforge.net/armadeus/?rev=1037&view=rev
Author: artemys
Date: 2009-01-29 16:30:28 +0000 (Thu, 29 Jan 2009)
Log Message:
-----------
[TEST] Move some tests to packages/
Added Paths:
-----------
trunk/target/test/packages/test_imxregs.sh
trunk/target/test/packages/test_lzo.sh
trunk/target/test/packages/test_portmap.sh
trunk/target/test/packages/test_zlib.sh
Removed Paths:
-------------
trunk/target/test/test_imxregs.sh
trunk/target/test/test_lzo.sh
trunk/target/test/test_portmap.sh
trunk/target/test/test_zlib.sh
Property Changed:
----------------
trunk/target/test/test_adc.sh
Copied: trunk/target/test/packages/test_imxregs.sh (from rev 1035, trunk/target/test/test_imxregs.sh)
===================================================================
--- trunk/target/test/packages/test_imxregs.sh (rev 0)
+++ trunk/target/test/packages/test_imxregs.sh 2009-01-29 16:30:28 UTC (rev 1037)
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+#
+# Script to test a Buildroot package for Armadeus Software release
+#
+# Copyright (C) 2008 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+source ./test_env.sh
+
+#DEBUG=True
+EXEC_NAME="imxregs"
+
+test_imxregs()
+{
+ show_test_banner "imxregs"
+ is_package_installed $EXEC_NAME
+
+ $EXEC_NAME SIDR
+ if [ "$?" == 0 ]; then
+ CHIP_ID=`$EXEC_NAME SIDR | grep SIDR | sed 's/^.*0x/0x/' | cut -d " " -f 1`
+ echo "Chip ID: $CHIP_ID"
+ if [ "$CHIP_ID" == "0x00d4c01d" ]; then
+ echo_test_ok
+ exit 0
+ fi
+ fi
+ exit_failed
+}
+
+test_imxregs
+
Copied: trunk/target/test/packages/test_lzo.sh (from rev 1035, trunk/target/test/test_lzo.sh)
===================================================================
--- trunk/target/test/packages/test_lzo.sh (rev 0)
+++ trunk/target/test/packages/test_lzo.sh 2009-01-29 16:30:28 UTC (rev 1037)
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+#
+# Script to test Armadeus Software release
+#
+# Copyright (C) 2008 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+source ./test_env.sh
+
+#DEBUG=True
+
+test_lzo()
+{
+ show_test_banner "lzo"
+ if [ -e "./simple" ]; then
+ ./simple
+ if [ "$?" == 0 ]; then
+ echo_test_ok
+ else
+ echo "returned tuntime error"
+ exit_failed
+ fi
+ else
+ echo "file simple does not exist"
+ exit_failed
+ fi
+}
+
+test_lzo
Copied: trunk/target/test/packages/test_portmap.sh (from rev 1035, trunk/target/test/test_portmap.sh)
===================================================================
--- trunk/target/test/packages/test_portmap.sh (rev 0)
+++ trunk/target/test/packages/test_portmap.sh 2009-01-29 16:30:28 UTC (rev 1037)
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+#
+# Script to test Armadeus Software release
+#
+# Copyright (C) 2008 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+source ./test_env.sh
+
+
+WTIME=0
+RTIME=0
+#DEBUG=True
+
+test_portmap()
+{
+ show_test_banner "Portmap"
+
+ # Check if interface is up
+ ifconfig eth0
+ if [ "$?" != 0 ]; then
+ echo "No Ethernet interface found"
+ exit_failed
+ fi
+ # Create temp bench file
+ echo "Creating mount point: test"
+ mkdir -p test
+ if [ "$?" != 0 ]; then
+ echo "Failed to create mount point test"
+ exit_failed
+ fi
+
+ echo " nfs connect"
+ mount -t nfs $SERVER_IP:/tftpboot test
+ if [ "$?" != 0 ]; then
+ echo "Failed to connect to server"
+ exit_failed
+ fi
+
+ echo " check content"
+ ls test
+ if [ "$?" != 0 ]; then
+ echo "Failed to access directory content"
+ umount test
+ exit_failed
+ fi
+ umount test
+ if [ "$?" != 0 ]; then
+ echo "Failed to disconnect from server"
+ exit_failed
+ fi
+
+ echo_test_ok
+}
+
+test_portmap
Copied: trunk/target/test/packages/test_zlib.sh (from rev 1035, trunk/target/test/test_zlib.sh)
===================================================================
--- trunk/target/test/packages/test_zlib.sh (rev 0)
+++ trunk/target/test/packages/test_zlib.sh 2009-01-29 16:30:28 UTC (rev 1037)
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+#
+# Script to test Armadeus Software release
+#
+# Copyright (C) 2008 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+source ./test_env.sh
+
+#DEBUG=True
+
+test_zlib()
+{
+ show_test_banner "zlib"
+ if [ -e "./example" ]; then
+ ./example
+ if [ "$?" == 0 ]; then
+ echo_test_ok
+ else
+ echo "returned runtime error"
+ exit_failed
+ fi
+ else
+ echo "file example does not exist"
+ exit_failed
+ fi
+}
+
+test_zlib
Property changes on: trunk/target/test/test_adc.sh
___________________________________________________________________
Added: svn:executable
+ *
Deleted: trunk/target/test/test_imxregs.sh
===================================================================
--- trunk/target/test/test_imxregs.sh 2009-01-29 14:43:51 UTC (rev 1036)
+++ trunk/target/test/test_imxregs.sh 2009-01-29 16:30:28 UTC (rev 1037)
@@ -1,32 +0,0 @@
-#!/bin/sh
-
-#
-# Script to test Armadeus Software release
-#
-# Copyright (C) 2008 The Armadeus Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-
-source ./test_helpers.sh
-source ./test_env.sh
-
-#DEBUG=True
-
-test_imxregs()
-{
- show_test_banner "imxregs"
- imxregs SIDR
- if [ "$?" == 0 ]; then
- CHIP_ID=`imxregs SIDR | grep SIDR | sed 's/^.*0x/0x/' | cut -d " " -f 1`
- echo "Chip ID: $CHIP_ID"
- if [ "$CHIP_ID" == "0x00d4c01d" ]; then
- echo_test_ok
- fi
- fi
-}
-
-test_imxregs
Deleted: trunk/target/test/test_lzo.sh
===================================================================
--- trunk/target/test/test_lzo.sh 2009-01-29 14:43:51 UTC (rev 1036)
+++ trunk/target/test/test_lzo.sh 2009-01-29 16:30:28 UTC (rev 1037)
@@ -1,36 +0,0 @@
-#!/bin/sh
-
-#
-# Script to test Armadeus Software release
-#
-# Copyright (C) 2008 The Armadeus Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-
-source ./test_helpers.sh
-source ./test_env.sh
-
-#DEBUG=True
-
-test_lzo()
-{
- show_test_banner "lzo"
- if [ -e "./simple" ]; then
- ./simple
- if [ "$?" == 0 ]; then
- echo_test_ok
- else
- echo "returned tuntime error"
- exit_failed
- fi
- else
- echo "file simple does not exist"
- exit_failed
- fi
-}
-
-test_lzo
Deleted: trunk/target/test/test_portmap.sh
===================================================================
--- trunk/target/test/test_portmap.sh 2009-01-29 14:43:51 UTC (rev 1036)
+++ trunk/target/test/test_portmap.sh 2009-01-29 16:30:28 UTC (rev 1037)
@@ -1,63 +0,0 @@
-#!/bin/sh
-
-#
-# Script to test Armadeus Software release
-#
-# Copyright (C) 2008 The Armadeus Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-
-source ./test_helpers.sh
-source ./test_env.sh
-
-
-WTIME=0
-RTIME=0
-#DEBUG=True
-
-test_portmap()
-{
- show_test_banner "Portmap"
-
- # Check if interface is up
- ifconfig eth0
- if [ "$?" != 0 ]; then
- echo "No Ethernet interface found"
- exit_failed
- fi
- # Create temp bench file
- echo "Creating mount point: test"
- mkdir -p test
- if [ "$?" != 0 ]; then
- echo "Failed to create mount point test"
- exit_failed
- fi
-
- echo " nfs connect"
- mount -t nfs $SERVER_IP:/tftpboot test
- if [ "$?" != 0 ]; then
- echo "Failed to connect to server"
- exit_failed
- fi
-
- echo " check content"
- ls test
- if [ "$?" != 0 ]; then
- echo "Failed to access directory content"
- umount test
- exit_failed
- fi
- umount test
- if [ "$?" != 0 ]; then
- echo "Failed to disconnect from server"
- exit_failed
- fi
-
- echo_test_ok
-}
-
-test_portmap
Deleted: trunk/target/test/test_zlib.sh
===================================================================
--- trunk/target/test/test_zlib.sh 2009-01-29 14:43:51 UTC (rev 1036)
+++ trunk/target/test/test_zlib.sh 2009-01-29 16:30:28 UTC (rev 1037)
@@ -1,36 +0,0 @@
-#!/bin/sh
-
-#
-# Script to test Armadeus Software release
-#
-# Copyright (C) 2008 The Armadeus Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-
-source ./test_helpers.sh
-source ./test_env.sh
-
-#DEBUG=True
-
-test_zlib()
-{
- show_test_banner "zlio"
- if [ -e "./example" ]; then
- ./example
- if [ "$?" == 0 ]; then
- echo_test_ok
- else
- echo "returned runtime error"
- exit_failed
- fi
- else
- echo "file example does not exist"
- exit_failed
- fi
-}
-
-test_zlib
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|